Skip to content

Deprecated. Quick create a position
deprecated

Request

This endpoint is deprecated. Use POST /v2/companies/{company_id}/positions instead.

Creates a new position in a location; position is created as a chain entity and at the same time linked to a location initiated its creation.

Migration: The V2 Positions API provides full CRUD operations with enhanced validation and JSON:API format responses. See operation create_position for details.

Security
BearerPartnerUser
Path
location_idnumberrequired

ID of a location.

Example:123
Headers
Acceptstringrequired

Required B2B v2 response media type. Use application/vnd.api.v2+json. A charset parameter is also accepted.

Default:"application/vnd.api.v2+json"
Example:application/vnd.api.v2+json
Content-Typestringrequired

Should be equal to application/json

Example:application/json
Bodyapplication/json
titlestringrequired

Title of a position.

Example:"Position"
curl -i -X POST \
  https://developer.alteg.io/_mock/en/b2b-v1/openapi/locations/123/positions/quick \
  -H 'Accept: application/vnd.api.v2+json' \
  -H 'Authorization: Bearer <YOUR_Bearer {PartnerToken}, User {UserToken}_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "title": "Position"
  }'

Responses

Created

Headers
Deprecationstring

RFC 9745 deprecation date as a Unix timestamp: @1782864000 is 2026-07-01T00:00:00Z.

Example:"@1782864000"
Sunsetstring

RFC 8594 date after which the deprecated operation may stop working.

Example:"Mon, 01 Mar 2027 00:00:00 GMT"
Bodyapplication/json
successboolean(Successful response status)

Response status.

Example:true
dataobject(Object of model "Position")

Data for an existing position in a chain.

Example:
{ "id": 123, "chain_id": 123, "title": "Position", "description": "Position description", "services_binding_type": 0, "rules_required_fields": [ "employee_name", "surname", "middle_name", "date_admission", "date_registration_end", "phone_number", "citizenship", "sex", "identity_document", "tax_id", "number_insurance_certificates" ], "only_chain_appointment": false }
metaArray of any or object(Empty meta object)

Additional response data (empty object or empty array)

Example:
{}
Response
{ "success": true, "data": { "id": 123, "chain_id": 123, "title": "Position", "description": "Position description", "services_binding_type": 0, "rules_required_fields": [ … ], "only_chain_appointment": false }, "meta": {} }